| Home · All Classes · All Namespaces · Modules · Functions · Files

# PropertySpec Struct Reference
[Structure types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Attributes

- uint propertyID
- QString name
- QString signature
- uint flags

## Detailed Description

Structure type generated from the specification.

A struct (property ID, property name, D-Bus signature, flags) representing a property, as returned by ListProperties on the Properties interface.

## Member Data Documentation

uint propertyID

QString name

QString signature

uint flags